INCOME_BEFORE_TAX = 6000000

result = ((INCOME_BEFORE_TAX * 0.05) if INCOME_BEFORE_TAX <= 5000000 else \
(INCOME_BEFORE_TAX * 0.1 - 250000) if ((INCOME_BEFORE_TAX > 5000000) and (INCOME_BEFORE_TAX <= 10000000)) else \
(INCOME_BEFORE_TAX * 0.15 - 750000) if ((INCOME_BEFORE_TAX > 10000000) and (INCOME_BEFORE_TAX <= 18000000)) else \
(INCOME_BEFORE_TAX * 0.2 - 1650000) if ((INCOME_BEFORE_TAX > 18000000) and (INCOME_BEFORE_TAX <= 32000000)) else \
(INCOME_BEFORE_TAX * 0.25 - 3250000) if ((INCOME_BEFORE_TAX > 32000000) and (INCOME_BEFORE_TAX <= 52000000)) else \
(INCOME_BEFORE_TAX * 0.3 - 5850000) if ((INCOME_BEFORE_TAX > 52000000) and (INCOME_BEFORE_TAX <= 80000000)) else \
(INCOME_BEFORE_TAX * 0.35 - 9850000))

print result